﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using MODI;
using System.IO;

namespace Read_Text_Image_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(HttpPostedFileBase postedFile)
        {
            if (postedFile != null)
            {
                string path = Server.MapPath("~/Uploads/");
                if (!Directory.Exists(path))
                {
                    Directory.CreateDirectory(path);
                }

                string filePath = path + Path.GetFileName(postedFile.FileName);
                postedFile.SaveAs(filePath);
                ViewBag.Message = this.ExtractTextFromImage(filePath).Replace(Environment.NewLine, "<br />");
            }

            return View();
        }

        private string ExtractTextFromImage(string filePath)
        {
            Document modiDocument = new Document();
            modiDocument.Create(filePath);
            modiDocument.OCR(MiLANGUAGES.miLANG_ENGLISH);
            Image modiImage = (modiDocument.Images[0] as Image);
            string extractedText = modiImage.Layout.Text;
            modiDocument.Close();

            return extractedText;
        }
    }
}